curl --request POST \
--url https://api.example.com/api/v1/agents/{agent_id}/conversations \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"mode": "webrtc",
"name": "test-1",
"initial_context": {
"first_name": "Anna"
}
}
'import requests
url = "https://api.example.com/api/v1/agents/{agent_id}/conversations"
payload = {
"mode": "webrtc",
"name": "test-1",
"initial_context": { "first_name": "Anna" }
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'webrtc', name: 'test-1', initial_context: {first_name: 'Anna'}})
};
fetch('https://api.example.com/api/v1/agents/{agent_id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/{agent_id}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mode' => 'webrtc',
'name' => 'test-1',
'initial_context' => [
'first_name' => 'Anna'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/{agent_id}/conversations"
payload := strings.NewReader("{\n \"mode\": \"webrtc\",\n \"name\": \"test-1\",\n \"initial_context\": {\n \"first_name\": \"Anna\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/{agent_id}/conversations")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"mode\": \"webrtc\",\n \"name\": \"test-1\",\n \"initial_context\": {\n \"first_name\": \"Anna\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/{agent_id}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mode\": \"webrtc\",\n \"name\": \"test-1\",\n \"initial_context\": {\n \"first_name\": \"Anna\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"workflow_id": 123,
"name": "<string>",
"mode": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"definition_id": 123,
"initial_context": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Utwórz przebieg (przeglądarka / czat)
Tworzy rekord przebiegu dla rozmowy w przeglądarce (mode: webrtc lub smallwebrtc) albo czatu (chat). Nie dzwoni - połączenie wychodzące zlecasz przez POST /agents/{agent_id}/calls. initial_context trafia do zmiennych {{initial_context.*}} agenta, nadpisując jego wartości domyślne.
curl --request POST \
--url https://api.example.com/api/v1/agents/{agent_id}/conversations \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"mode": "webrtc",
"name": "test-1",
"initial_context": {
"first_name": "Anna"
}
}
'import requests
url = "https://api.example.com/api/v1/agents/{agent_id}/conversations"
payload = {
"mode": "webrtc",
"name": "test-1",
"initial_context": { "first_name": "Anna" }
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'webrtc', name: 'test-1', initial_context: {first_name: 'Anna'}})
};
fetch('https://api.example.com/api/v1/agents/{agent_id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agents/{agent_id}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mode' => 'webrtc',
'name' => 'test-1',
'initial_context' => [
'first_name' => 'Anna'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agents/{agent_id}/conversations"
payload := strings.NewReader("{\n \"mode\": \"webrtc\",\n \"name\": \"test-1\",\n \"initial_context\": {\n \"first_name\": \"Anna\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agents/{agent_id}/conversations")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"mode\": \"webrtc\",\n \"name\": \"test-1\",\n \"initial_context\": {\n \"first_name\": \"Anna\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agents/{agent_id}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mode\": \"webrtc\",\n \"name\": \"test-1\",\n \"initial_context\": {\n \"first_name\": \"Anna\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"workflow_id": 123,
"name": "<string>",
"mode": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"definition_id": 123,
"initial_context": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autoryzacje
Klucz API organizacji (konto w lewym dolnym rogu panelu → Brosbots API).
Parametry ścieżki
ID agenta: publiczny identyfikator agent_ + 20 znaków (pokazywany w panelu, zalecany) albo dotychczasowy numer. Oba wskazują tego samego agenta.
^agent_[A-Za-z0-9]{20}$"agent_7fK2mQ9xLp3RtV8wYb1N"
Treść
Rekord rozmowy dla sesji w przeglądarce lub czacie. Nie dzwoni do nikogo.
Gdzie odbędzie się rozmowa: webrtc lub smallwebrtc dla sesji głosowej w przeglądarce (tak działa rozmowa testowa w panelu), chat dla sesji tekstowej. Wartości telefoniczne są przyjmowane dla zgodności, ale tworzą tylko rekord - żeby zadzwonić, użyj POST /agents/{agent_id}/calls.
"webrtc"
Twoja nazwa rozmowy.
"test-1"
Zmienne, których agent może używać w promptach jako {{initial_context.}}. Nadpisują domyślne zmienne agenta.
{ "first_name": "Anna" }
